Bug 511907 - parted.Disk.duplicate exception in storage scan
parted.Disk.duplicate exception in storage scan
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
: Reopened
: 510966 513725 513746 514284 (view as bug list)
Depends On:
Blocks: F12Alpha/F12AlphaBlocker
  Show dependency treegraph
Reported: 2009-07-15 11:22 EDT by David Lehman
Modified: 2009-08-03 16:02 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-03 16:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Attached traceback automatically from anaconda. (61.10 KB, text/plain)
2009-07-15 11:22 EDT, David Lehman
no flags Details

  None (edit)
Description David Lehman 2009-07-15 11:22:24 EDT
The following was filed automatically by anaconda:
anaconda 12.2 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/disk.py", line 142, in duplicate
    return Disk(PedDisk=self.__disk.duplicate())
  File "/tmp/updates/storage/devices.py", line 744, in __init__
    self._origPartedDisk = self.partedDisk.duplicate()
  File "/tmp/updates/storage/devicetree.py", line 1188, in addUdevDiskDevice
    initcb=cb, initlabel=initlabel, **kwargs)
  File "/tmp/updates/storage/devicetree.py", line 1278, in addUdevDevice
    device = self.addUdevDiskDevice(info)
  File "/tmp/updates/storage/devicetree.py", line 1792, in populate
  File "/tmp/updates/storage/__init__.py", line 291, in reset
  File "/tmp/updates/storage/__init__.py", line 92, in storageInitialize
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
  File "/usr/lib/anaconda/gui.py", line 1346, in nextClicked
  File "/usr/lib/anaconda/gui.py", line 1476, in keyRelease
PartedException: Assertion (!disk->update_mode) at disk.c:425 in function ped_disk_destroy() failed.
Comment 1 David Lehman 2009-07-15 11:22:32 EDT
Created attachment 353841 [details]
Attached traceback automatically from anaconda.
Comment 2 David Lehman 2009-07-15 11:26:37 EDT
This seems to happen during scanning of systems whose partitions were created using the F11 installer. My recollection is that it does not occur with partitions created using the rawhide installer.

This system has four primary partitions on sda, none on sdb.
Comment 3 Chris Lumens 2009-07-17 15:36:41 EDT
Joel - this seems related to the new parted release.  Any ideas?
Comment 4 Joel Andres Granados 2009-07-22 05:03:10 EDT
This is fixed in the new parted version. parted-1.9.0-4.20090721git980c
Comment 5 James Laska 2009-07-24 18:59:37 EDT
Rawhide still contains parted-1.9.0-3.20090610git32dc.fc12.  I'm going to move this into MODIFIED and leave on the F12Alpha list so we don't lose this bug.
Comment 6 James Laska 2009-07-24 19:00:10 EDT
*** Bug 513725 has been marked as a duplicate of this bug. ***
Comment 7 Andy Lindeberg 2009-07-27 10:18:41 EDT
*** Bug 513746 has been marked as a duplicate of this bug. ***
Comment 8 Allen Kistler 2009-07-28 04:15:52 EDT
Rawhide has parted-1.9.0-6.fc12, but I just got the bug in its Bug 513725 form with boot.iso dated 28-July-2009 00:53.
Comment 9 Clyde E. Kunkel 2009-07-28 10:23:01 EDT
I got this error with rawhide 20090728 which has parted-1.9.0-8.fc12
Comment 10 Andy Lindeberg 2009-07-28 13:11:16 EDT
*** Bug 510966 has been marked as a duplicate of this bug. ***
Comment 11 Andy Lindeberg 2009-07-28 13:11:20 EDT
*** Bug 514284 has been marked as a duplicate of this bug. ***
Comment 12 Andy Lindeberg 2009-07-28 13:12:09 EDT
Bug not fixed; moving out of MODIFIED.
Comment 13 James Laska 2009-07-28 13:20:53 EDT
+1 ... also seeing on rawhide-20090728
Comment 14 James Laska 2009-07-28 16:45:04 EDT
This appears to be a test blocker for the upcoming Alpha test compose for QA.

I've adjusted the severity to high based on the impact defined in http://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow#Severity.
Comment 15 Joel Andres Granados 2009-07-29 04:05:39 EDT
I just patched parted and built parted-1_9_0-9_fc12.  This should address the issue.
Comment 16 cornel panceac 2009-07-29 04:13:48 EDT
thank you. could we expect that tomorrow's boot.iso will include it? because i feel frustrated being unable to install rawhide :)
Comment 17 Joel Andres Granados 2009-07-29 05:54:13 EDT
Yes. this should go into the next rawhide compose.  If you can't wait I suggest you put the new libparted in the current boot.iso.  You can find the new libparted in the rpm package,  and you can find that at http://koji.fedoraproject.org/koji/buildinfo?buildID=124489
Comment 18 cornel panceac 2009-07-29 06:04:19 EDT
ok, thank you very much!
Comment 19 Clyde E. Kunkel 2009-08-01 14:44:46 EDT
apparently fixed in 12.7, but bz 499854 has crept in preventing conclusive verification of fix.
Comment 20 Allen Kistler 2009-08-01 17:44:32 EDT
(In reply to comment #19)
> apparently fixed in 12.7, but bz 499854 has crept in preventing conclusive
> verification of fix.  

Agreed.  Fixed with boot.iso of 01-Aug-2009, but now I'm hitting Bug 513104.
Comment 21 James Laska 2009-08-03 16:02:59 EDT
Closed by on comment#20

Note You need to log in before you can comment on or make changes to this bug.